-record(where_comparison, {
    value_a :: cake@internal@read_query:where_value(),
    operator :: cake@internal@read_query:where_comparison_operator(),
    value_b :: cake@internal@read_query:where_value()
}).
